Summary:        Convert between different netmask types
Name:           whatmask
Version:        1.2
Release:        %mkrel 17
License:        GPLv2
Group:          Networking/Other
URL:            http://www.laffeycomputer.com/whatmask.html
Source:         %name-%version.tar.bz2
Patch0:         whatmask-1.2-configure-c99.patch

%description
Whatmask is a small C program that will help you with network 
settings.

It can analyze CIDR, netmask, netmask (hex), and wildcard bit 
notations to give useful information about the network block in 
question.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 man/whatmask.1 %{buildroot}%{_mandir}/man1
install -m 755 whatmask %{buildroot}%{_bindir}

%files
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_bindir}/whatmask
%{_mandir}/man1/whatmask.1*


%changelog
* Tue Oct 15 2024 daviddavid <daviddavid> 1.2-17.mga10
+ Revision: 2106937
- add fedora patch to fix build with GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 1.2-16.mga9
+ Revision: 1792434
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.2-15.mga8
+ Revision: 1518066
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2-14.mga7
+ Revision: 1301663
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.2-13.mga6
+ Revision: 946007
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-12.mga5
+ Revision: 739057
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-11.mga5
+ Revision: 690304
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-10.mga4
+ Revision: 520167
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2-9.mga3
+ Revision: 385688
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 08 2011 grenoya <grenoya> 1.2-8.mga1
+ Revision: 96413
- imported package whatmask


* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.2-8mdv2010.0
+ Revision: 434744
- rebuild

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2-7mdv2009.0
+ Revision: 261932
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2-6mdv2009.0
+ Revision: 255937
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.2-4mdv2008.1
+ Revision: 136572
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Olivier Thauvin <nanardon@mandriva.org> 1.2-4mdv2008.0
+ Revision: 68707
- rebuild


* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 22:58:40 (41260)
- rebuild

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 22:56:18 (41259)
Import whatmask

* Fri Feb 04 2005 Sylvie Terjan <erinmargault@mandrake.org> 1.2-2mdk
- birthday rebuild

* Mon Jan 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2-1mdk
- mandrakize package
- from Aleksander Adamowski <aleksander.adamowski@altkom.pl> :
	- Correction in %%files section to handle manpages compressed by bzip2 
  	in some distros

* Wed Dec 10 2003 Joe Laffey <software@laffeycomputer.com>
- Upgraded to version 1.2 with incorporated manpage.

